	.reference	___bb_blitz_blitz
	.reference	___bb_imports_constants
	.reference	___bb_imports_prop
	.reference	_bbArrayNew
	.reference	_bbConvertToFloat
	.reference	_bbEmptyArray
	.reference	_bbFloatToInt
	.reference	_bbFloatTypeTag
	.reference	_bbGCFree
	.reference	_bbIntTypeTag
	.reference	_bbNullObject
	.reference	_bbObjectClass
	.reference	_bbObjectCompare
	.reference	_bbObjectCtor
	.reference	_bbObjectFree
	.reference	_bbObjectNew
	.reference	_bbObjectRegisterType
	.reference	_bbObjectReserved
	.reference	_bbObjectSendMessage
	.reference	_bbObjectToString
	.reference	_bbOnDebugEnterScope
	.reference	_bbOnDebugEnterStm
	.reference	_bbOnDebugLeaveScope
	.reference	_bbStringClass
	.reference	_bb_TProp
	.reference	_brl_blitz_ArrayBoundsError
	.reference	_brl_blitz_NullObjectError
	.reference	_brl_blitz_OutOfDataError
	.globl	___bb_imports_segment
	.globl	__bb_TSegment_Create
	.globl	__bb_TSegment_Delete
	.globl	__bb_TSegment_New
	.globl	__bb_TSegment_checkLap
	.globl	__bb_TSegment_checkNext
	.globl	__bb_TSegment_createDummySegment
	.globl	__bb_TSegment_createStartSegment
	.globl	__bb_TSegment_gFirstSegment
	.globl	__bb_TSegment_gHorizonYOffset
	.globl	__bb_TSegment_gLastSegment
	.globl	__bb_TSegment_gMaxZ
	.globl	__bb_TSegment_gMinZ
	.globl	__bb_TSegment_gSegmentData
	.globl	__bb_TSegment_gSegmentIndex
	.globl	__bb_TSegment_gSignSide
	.globl	__bb_TSegment_getHorizonYOffset
	.globl	__bb_TSegment_getNextSegmentDXFraction
	.globl	__bb_TSegment_getNextSegmentDYFraction
	.globl	__bb_TSegment_init
	.globl	__bb_TSegment_readSegmentData
	.globl	__bb_TSegment_removeAll
	.globl	__bb_TSegment_update
	.globl	__bb_TSegment_updateAll
	.globl	_bb_TSegment
	.text	
___bb_imports_segment:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$20,%esp
	cmpl	$0,_117
	je	_118
	mov	$0,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_118:
	movl	$1,_117
	movl	%ebp,4(%esp)
	movl	$_115,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_114,_113
	call	___bb_blitz_blitz
	call	___bb_imports_constants
	call	___bb_imports_prop
	movl	$_103,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_105,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_106,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_107,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_108,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_109,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_110,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_111,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_bb_TSegment,(%esp)
	call	_bbObjectRegisterType
	movl	$_112,(%esp)
	calll	*_bbOnDebugEnterStm
_13:
	mov	$0,%ebx
	jmp	_55
_55:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TSegment_New:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_120,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbObjectCtor
	movl	-4(%ebp),%eax
	movl	$_bb_TSegment,(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	8(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	12(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	16(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	20(%eax)
	movl	-4(%ebp),%eax
	movl	$0,24(%eax)
	movl	-4(%ebp),%eax
	movl	$0,28(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	32(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	36(%eax)
	movl	-4(%ebp),%eax
	movl	$0,40(%eax)
	movl	-4(%ebp),%eax
	movl	$0,44(%eax)
	mov	$_bbNullObject,%edx
	incl	4(%edx)
	movl	-4(%ebp),%eax
	movl	%edx,48(%eax)
	mov	$0,%ebx
	jmp	_58
_58:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TSegment_Delete:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	movl	8(%ebp),%eax
_61:
	movl	48(%eax),%eax
	decl	4(%eax)
	jnz	_124
	movl	%eax,(%esp)
	call	_bbGCFree
_124:
	mov	$0,%eax
	jmp	_122
_122:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TSegment_Create:
	push	%ebp
	mov	%esp,%ebp
	sub	$32,%esp
	push	%ebx
	push	%esi
	sub	$16,%esp
	flds	8(%ebp)
	fstps	-4(%ebp)
	flds	12(%ebp)
	fstps	-8(%ebp)
	flds	16(%ebp)
	fstps	-12(%ebp)
	flds	20(%ebp)
	fstps	-16(%ebp)
	movl	24(%ebp),%eax
	movl	%eax,-20(%ebp)
	movl	$_bbNullObject,-24(%ebp)
	movl	$0,-28(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_222,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_125,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_bb_TSegment,(%esp)
	call	_bbObjectNew
	movl	%eax,-24(%ebp)
	movl	$_127,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-24(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_129
	call	_brl_blitz_NullObjectError
_129:
	flds	-4(%ebp)
	fstps	8(%ebx)
	movl	$_131,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-24(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_133
	call	_brl_blitz_NullObjectError
_133:
	flds	-8(%ebp)
	fstps	12(%ebx)
	movl	$_135,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-24(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_137
	call	_brl_blitz_NullObjectError
_137:
	flds	-8(%ebp)
	fmuls	_532
	fstps	16(%ebx)
	movl	$_139,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-24(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_141
	call	_brl_blitz_NullObjectError
_141:
	flds	-12(%ebp)
	fmuls	_533
	fstps	20(%ebx)
	movl	$_143,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-20(%ebp),%eax
	cmp	$30,%eax
	setge	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	je	_144
	movl	-20(%ebp),%eax
	cmp	$32,%eax
	setle	%al
	movzbl	%al,%eax
_144:
	cmp	$0,%eax
	je	_146
	movl	$_147,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-24(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_149
	call	_brl_blitz_NullObjectError
_149:
	movl	$1,24(%ebx)
	movl	$_151,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-24(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_153
	call	_brl_blitz_NullObjectError
_153:
	movl	$50,28(%ebx)
	movl	$_155,(%esp)
	calll	*_bbOnDebugEnterStm
	cmpl	$30,-20(%ebp)
	jne	_156
	movl	$_157,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$13,8(%esp)
	fldz
	fstps	4(%esp)
	flds	-4(%ebp)
	fstps	(%esp)
	calll	*_bb_TProp+156
_156:
	jmp	_158
_146:
	movl	$_159,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-24(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_161
	call	_brl_blitz_NullObjectError
_161:
	movl	$0,24(%ebx)
_158:
	movl	$_163,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-24(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_165
	call	_brl_blitz_NullObjectError
_165:
	cmpl	$0,24(%ebx)
	jne	_166
	movl	$_167,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-12(%ebp)
	flds	_534
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	seta	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_168
	movl	$_169,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,8(%esp)
	fldz
	fstps	4(%esp)
	flds	__bb_TSegment_gMaxZ
	fmuls	_535
	fstps	(%esp)
	calll	*_bb_TProp+156
	movl	$_170,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,8(%esp)
	fldz
	fstps	4(%esp)
	flds	__bb_TSegment_gMaxZ
	fmuls	_536
	fstps	(%esp)
	calll	*_bb_TProp+156
	movl	$_171,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,8(%esp)
	fldz
	fstps	4(%esp)
	flds	__bb_TSegment_gMaxZ
	fmuls	_537
	fstps	(%esp)
	calll	*_bb_TProp+156
	jmp	_172
_168:
	movl	$_173,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$4,%ecx
	movl	-20(%ebp),%eax
	cdq
	idiv	%ecx
	cmp	$1,%edx
	jne	_174
	movl	$_175,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$8,%ecx
	movl	-20(%ebp),%eax
	cdq
	idiv	%ecx
	cmp	$1,%edx
	jne	_176
	movl	$_177,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$5,8(%esp)
	fldz
	fstps	4(%esp)
	flds	__bb_TSegment_gMaxZ
	flds	-16(%ebp)
	fdivs	_538
	faddp	%st(0),%st(1)
	fstps	(%esp)
	calll	*_bb_TProp+156
	jmp	_178
_176:
	movl	$_179,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$4,8(%esp)
	fldz
	fstps	4(%esp)
	flds	__bb_TSegment_gMaxZ
	flds	-16(%ebp)
	fdivs	_539
	faddp	%st(0),%st(1)
	fstps	(%esp)
	calll	*_bb_TProp+156
_178:
_174:
_172:
	movl	$_180,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$3,%ecx
	movl	-20(%ebp),%eax
	cdq
	idiv	%ecx
	cmp	$1,%edx
	jne	_181
	movl	$_182,(%esp)
	calll	*_bbOnDebugEnterStm
	cmpl	$0,-20(%ebp)
	jne	_183
	movl	$_184,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$1,__bb_TSegment_gSignSide
_183:
	movl	$_185,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$6,-28(%ebp)
	movl	$_187,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$2,%ecx
	movl	-20(%ebp),%eax
	cdq
	idiv	%ecx
	cmp	$0,%edx
	jne	_188
	movl	$_189,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$7,-28(%ebp)
_188:
	movl	$_190,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-16(%ebp)
	flds	_540
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	seta	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_191
	movl	$_192,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-28(%ebp),%eax
	movl	%eax,8(%esp)
	movl	__bb_TSegment_gSignSide,%eax
	imul	$800,%eax
	movl	%eax,-32(%ebp)
	fildl	-32(%ebp)
	fmuls	_541
	fstps	4(%esp)
	flds	__bb_TSegment_gMaxZ
	flds	-16(%ebp)
	fmuls	_542
	faddp	%st(0),%st(1)
	fstps	(%esp)
	calll	*_bb_TProp+156
	movl	$_193,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TSegment_gSignSide,%eax
	imul	$-1,%eax
	movl	%eax,__bb_TSegment_gSignSide
	jmp	_194
_191:
	movl	$_195,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-28(%ebp),%eax
	movl	%eax,8(%esp)
	movl	__bb_TSegment_gSignSide,%eax
	imul	$800,%eax
	movl	%eax,-32(%ebp)
	fildl	-32(%ebp)
	fmuls	_543
	fstps	4(%esp)
	flds	__bb_TSegment_gMaxZ
	flds	-16(%ebp)
	fmuls	_544
	faddp	%st(0),%st(1)
	fstps	(%esp)
	calll	*_bb_TProp+156
	movl	$_196,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-28(%ebp),%eax
	movl	%eax,8(%esp)
	movl	__bb_TSegment_gSignSide,%eax
	neg	%eax
	imul	$800,%eax
	movl	%eax,-32(%ebp)
	fildl	-32(%ebp)
	fmuls	_545
	fstps	4(%esp)
	flds	__bb_TSegment_gMaxZ
	flds	-16(%ebp)
	fmuls	_546
	faddp	%st(0),%st(1)
	fstps	(%esp)
	calll	*_bb_TProp+156
_194:
_181:
_166:
	movl	$_197,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-24(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_199
	call	_brl_blitz_NullObjectError
_199:
	fldz
	fstps	32(%ebx)
	movl	$_201,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-24(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_203
	call	_brl_blitz_NullObjectError
_203:
	flds	-16(%ebp)
	fstps	36(%ebx)
	movl	$_205,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-24(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_207
	call	_brl_blitz_NullObjectError
_207:
	movl	-20(%ebp),%eax
	movl	%eax,40(%ebx)
	movl	$_209,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-24(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_211
	call	_brl_blitz_NullObjectError
_211:
	movl	$0,44(%ebx)
	movl	$_213,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-24(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_215
	call	_brl_blitz_NullObjectError
_215:
	mov	$_bbNullObject,%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	48(%ebx),%eax
	decl	4(%eax)
	jnz	_220
	movl	%eax,(%esp)
	call	_bbGCFree
_220:
	movl	%esi,48(%ebx)
	movl	$_221,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-24(%ebp),%ebx
	jmp	_68
_68:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TSegment_init:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	sub	$12,%esp
	flds	8(%ebp)
	fstps	-4(%ebp)
	flds	12(%ebp)
	fstps	-8(%ebp)
	movl	%ebp,4(%esp)
	movl	$_234,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_229,(%esp)
	calll	*_bbOnDebugEnterStm
	calll	*_bb_TSegment+60
	movl	$_230,(%esp)
	calll	*_bbOnDebugEnterStm
	calll	*_bb_TSegment+64
	movl	$_231,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-4(%ebp)
	fadds	-8(%ebp)
	fstps	(%esp)
	calll	*_bb_TSegment+68
	movl	$_232,(%esp)
	calll	*_bbOnDebugEnterStm
	fldz
	fstps	__bb_TSegment_gHorizonYOffset
	movl	$_233,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$1,__bb_TSegment_gSignSide
	mov	$0,%ebx
	jmp	_72
_72:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TSegment_removeAll:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$20,%esp
	movl	%ebp,4(%esp)
	movl	$_247,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_237,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$_bbNullObject,%ebx
	incl	4(%ebx)
	movl	__bb_TSegment_gFirstSegment,%eax
	decl	4(%eax)
	jnz	_241
	movl	%eax,(%esp)
	call	_bbGCFree
_241:
	movl	%ebx,__bb_TSegment_gFirstSegment
	movl	$_242,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$_bbNullObject,%ebx
	incl	4(%ebx)
	movl	__bb_TSegment_gLastSegment,%eax
	decl	4(%eax)
	jnz	_246
	movl	%eax,(%esp)
	call	_bbGCFree
_246:
	movl	%ebx,__bb_TSegment_gLastSegment
	mov	$0,%ebx
	jmp	_74
_74:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TSegment_readSegmentData:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	push	%esi
	push	%edi
	sub	$24,%esp
	movl	$0,-4(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_289,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_248,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_14,_113
	movl	$_249,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$3,12(%esp)
	movl	$40,8(%esp)
	movl	$2,4(%esp)
	movl	$_250,(%esp)
	call	_bbArrayNew
	mov	%eax,%ebx
	incl	4(%ebx)
	movl	__bb_TSegment_gSegmentData,%eax
	decl	4(%eax)
	jnz	_254
	movl	%eax,(%esp)
	call	_bbGCFree
_254:
	movl	%ebx,__bb_TSegment_gSegmentData
	movl	$_255,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,-4(%ebp)
	movl	$0,-4(%ebp)
	jmp	_257
_9:
	movl	$_258,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	_113,%esi
	movl	-4(%ebp),%eax
	movl	__bb_TSegment_gSegmentData,%edx
	imull	24(%edx),%eax
	mov	%eax,%edi
	movl	__bb_TSegment_gSegmentData,%eax
	cmpl	20(%eax),%edi
	jb	_262
	call	_brl_blitz_ArrayBoundsError
_262:
	mov	$0,%ebx
	movl	__bb_TSegment_gSegmentData,%eax
	cmpl	24(%eax),%ebx
	jb	_264
	call	_brl_blitz_ArrayBoundsError
_264:
	movl	__bb_TSegment_gSegmentData,%eax
	mov	%edi,%edx
	add	%ebx,%edx
	shl	$2,%edx
	add	%edx,%eax
	mov	%eax,%edi
	movl	(%esi),%ebx
	cmp	$0,%ebx
	jne	_266
	call	_brl_blitz_OutOfDataError
_266:
	movl	(%ebx),%ebx
	add	$4,%esi
	movl	%ebx,4(%esp)
	movl	%esi,(%esp)
	call	_bbConvertToFloat
	fstps	28(%edi)
	add	$4,%esi
	movzbl	(%ebx),%eax
	cmp	$100,%eax
	jne	_267
	add	$4,%esi
_267:
	movl	%esi,_113
	movl	$_268,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	_113,%esi
	movl	-4(%ebp),%eax
	movl	__bb_TSegment_gSegmentData,%edx
	imull	24(%edx),%eax
	mov	%eax,%edi
	movl	__bb_TSegment_gSegmentData,%eax
	cmpl	20(%eax),%edi
	jb	_272
	call	_brl_blitz_ArrayBoundsError
_272:
	mov	$1,%ebx
	movl	__bb_TSegment_gSegmentData,%eax
	cmpl	24(%eax),%ebx
	jb	_274
	call	_brl_blitz_ArrayBoundsError
_274:
	movl	__bb_TSegment_gSegmentData,%eax
	mov	%edi,%edx
	add	%ebx,%edx
	shl	$2,%edx
	add	%edx,%eax
	mov	%eax,%edi
	movl	(%esi),%ebx
	cmp	$0,%ebx
	jne	_276
	call	_brl_blitz_OutOfDataError
_276:
	movl	(%ebx),%ebx
	add	$4,%esi
	movl	%ebx,4(%esp)
	movl	%esi,(%esp)
	call	_bbConvertToFloat
	fstps	28(%edi)
	add	$4,%esi
	movzbl	(%ebx),%eax
	cmp	$100,%eax
	jne	_277
	add	$4,%esi
_277:
	movl	%esi,_113
	movl	$_278,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	_113,%esi
	movl	-4(%ebp),%eax
	movl	__bb_TSegment_gSegmentData,%edx
	imull	24(%edx),%eax
	mov	%eax,%edi
	movl	__bb_TSegment_gSegmentData,%eax
	cmpl	20(%eax),%edi
	jb	_282
	call	_brl_blitz_ArrayBoundsError
_282:
	mov	$2,%ebx
	movl	__bb_TSegment_gSegmentData,%eax
	cmpl	24(%eax),%ebx
	jb	_284
	call	_brl_blitz_ArrayBoundsError
_284:
	movl	__bb_TSegment_gSegmentData,%eax
	mov	%edi,%edx
	add	%ebx,%edx
	shl	$2,%edx
	add	%edx,%eax
	mov	%eax,%edi
	movl	(%esi),%ebx
	cmp	$0,%ebx
	jne	_286
	call	_brl_blitz_OutOfDataError
_286:
	movl	(%ebx),%ebx
	add	$4,%esi
	movl	%ebx,4(%esp)
	movl	%esi,(%esp)
	call	_bbConvertToFloat
	fstps	28(%edi)
	add	$4,%esi
	movzbl	(%ebx),%eax
	cmp	$100,%eax
	jne	_287
	add	$4,%esi
_287:
	movl	%esi,_113
_7:
	addl	$1,-4(%ebp)
_257:
	cmpl	$39,-4(%ebp)
	jle	_9
_8:
	movl	$_288,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,__bb_TSegment_gSegmentIndex
	mov	$0,%ebx
	jmp	_76
_76:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$24,%esp
	pop	%edi
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TSegment_createDummySegment:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$20,%esp
	movl	%ebp,4(%esp)
	movl	$_300,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_290,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$-1,16(%esp)
	fldz
	fstps	12(%esp)
	fldz
	fstps	8(%esp)
	fldz
	fstps	4(%esp)
	fldz
	fstps	(%esp)
	calll	*_bb_TSegment+48
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TSegment_gFirstSegment,%eax
	decl	4(%eax)
	jnz	_294
	movl	%eax,(%esp)
	call	_bbGCFree
_294:
	movl	%ebx,__bb_TSegment_gFirstSegment
	movl	$_295,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TSegment_gFirstSegment,%ebx
	incl	4(%ebx)
	movl	__bb_TSegment_gLastSegment,%eax
	decl	4(%eax)
	jnz	_299
	movl	%eax,(%esp)
	call	_bbGCFree
_299:
	movl	%ebx,__bb_TSegment_gLastSegment
	mov	$0,%ebx
	jmp	_78
_78:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TSegment_createStartSegment:
	push	%ebp
	mov	%esp,%ebp
	sub	$20,%esp
	push	%ebx
	push	%esi
	push	%edi
	sub	$24,%esp
	flds	8(%ebp)
	fstps	-4(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_330,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_301,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TSegment_gLastSegment,%ebx
	cmp	$_bbNullObject,%ebx
	jne	_303
	call	_brl_blitz_NullObjectError
_303:
	movl	%ebx,-20(%ebp)
	movl	__bb_TSegment_gSegmentIndex,%edx
	movl	__bb_TSegment_gSegmentData,%eax
	imull	24(%eax),%edx
	movl	%edx,-16(%ebp)
	movl	__bb_TSegment_gSegmentData,%eax
	movl	20(%eax),%eax
	cmpl	%eax,-16(%ebp)
	jb	_306
	call	_brl_blitz_ArrayBoundsError
_306:
	movl	$0,-12(%ebp)
	movl	__bb_TSegment_gSegmentData,%eax
	movl	24(%eax),%eax
	cmpl	%eax,-12(%ebp)
	jb	_308
	call	_brl_blitz_ArrayBoundsError
_308:
	movl	__bb_TSegment_gSegmentIndex,%edx
	movl	__bb_TSegment_gSegmentData,%eax
	imull	24(%eax),%edx
	movl	%edx,-8(%ebp)
	movl	__bb_TSegment_gSegmentData,%eax
	movl	20(%eax),%eax
	cmpl	%eax,-8(%ebp)
	jb	_310
	call	_brl_blitz_ArrayBoundsError
_310:
	mov	$1,%edi
	movl	__bb_TSegment_gSegmentData,%eax
	cmpl	24(%eax),%edi
	jb	_312
	call	_brl_blitz_ArrayBoundsError
_312:
	movl	__bb_TSegment_gSegmentIndex,%eax
	movl	__bb_TSegment_gSegmentData,%edx
	imull	24(%edx),%eax
	mov	%eax,%esi
	movl	__bb_TSegment_gSegmentData,%eax
	cmpl	20(%eax),%esi
	jb	_314
	call	_brl_blitz_ArrayBoundsError
_314:
	mov	$2,%ebx
	movl	__bb_TSegment_gSegmentData,%eax
	cmpl	24(%eax),%ebx
	jb	_316
	call	_brl_blitz_ArrayBoundsError
_316:
	movl	__bb_TSegment_gSegmentIndex,%eax
	movl	%eax,16(%esp)
	movl	__bb_TSegment_gSegmentData,%eax
	mov	%esi,%edx
	add	%ebx,%edx
	flds	28(%eax,%edx,4)
	fstps	12(%esp)
	movl	__bb_TSegment_gSegmentData,%edx
	movl	-8(%ebp),%eax
	add	%edi,%eax
	flds	28(%edx,%eax,4)
	fstps	8(%esp)
	movl	__bb_TSegment_gSegmentData,%edx
	movl	-16(%ebp),%eax
	addl	-12(%ebp),%eax
	flds	28(%edx,%eax,4)
	fstps	4(%esp)
	flds	__bb_TSegment_gMaxZ
	fdivs	_594
	fstps	(%esp)
	calll	*_bb_TSegment+48
	mov	%eax,%ebx
	incl	4(%ebx)
	movl	-20(%ebp),%eax
	movl	48(%eax),%eax
	decl	4(%eax)
	jnz	_320
	movl	%eax,(%esp)
	call	_bbGCFree
_320:
	movl	-20(%ebp),%eax
	movl	%ebx,48(%eax)
	movl	$_321,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TSegment_gLastSegment,%ebx
	cmp	$_bbNullObject,%ebx
	jne	_323
	call	_brl_blitz_NullObjectError
_323:
	movl	48(%ebx),%ebx
	incl	4(%ebx)
	movl	__bb_TSegment_gLastSegment,%eax
	decl	4(%eax)
	jnz	_327
	movl	%eax,(%esp)
	call	_bbGCFree
_327:
	movl	%ebx,__bb_TSegment_gLastSegment
	movl	$_328,(%esp)
	calll	*_bbOnDebugEnterStm
	addl	$1,__bb_TSegment_gSegmentIndex
	movl	$_329,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$1,8(%esp)
	fldz
	fstps	4(%esp)
	flds	-4(%ebp)
	fstps	(%esp)
	calll	*_bb_TProp+156
	mov	$0,%ebx
	jmp	_81
_81:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$24,%esp
	pop	%edi
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TSegment_updateAll:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	sub	$12,%esp
	flds	8(%ebp)
	fstps	-4(%ebp)
	movl	$_bbNullObject,-8(%ebp)
	movl	%ebp,4(%esp)
	movl	$_341,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_332,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TSegment_gFirstSegment,%eax
	movl	%eax,-8(%ebp)
	movl	$_334,(%esp)
	calll	*_bbOnDebugEnterStm
	jmp	_10
_12:
	movl	$_335,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_337
	call	_brl_blitz_NullObjectError
_337:
	flds	-4(%ebp)
	fstps	4(%esp)
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*88(%eax)
	movl	$_338,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_340
	call	_brl_blitz_NullObjectError
_340:
	movl	48(%ebx),%eax
	movl	%eax,-8(%ebp)
_10:
	cmpl	$_bbNullObject,-8(%ebp)
	jne	_12
_11:
	mov	$0,%ebx
	jmp	_84
_84:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TSegment_checkLap:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	sub	$12,%esp
	movl	$0,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_369,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_343,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TSegment_gFirstSegment,%ebx
	cmp	$_bbNullObject,%ebx
	jne	_345
	call	_brl_blitz_NullObjectError
_345:
	cmpl	$_bbNullObject,48(%ebx)
	je	_346
	movl	$_347,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TSegment_gFirstSegment,%ebx
	cmp	$_bbNullObject,%ebx
	jne	_349
	call	_brl_blitz_NullObjectError
_349:
	movl	48(%ebx),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_351
	call	_brl_blitz_NullObjectError
_351:
	flds	8(%ebx)
	fldz
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	seta	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_352
	movl	$_353,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TSegment_gFirstSegment,%ebx
	cmp	$_bbNullObject,%ebx
	jne	_355
	call	_brl_blitz_NullObjectError
_355:
	movl	40(%ebx),%eax
	movl	%eax,-4(%ebp)
	movl	$_357,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TSegment_gFirstSegment,%ebx
	cmp	$_bbNullObject,%ebx
	jne	_359
	call	_brl_blitz_NullObjectError
_359:
	flds	__bb_TSegment_gHorizonYOffset
	fstps	-8(%ebp)
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*84(%eax)
	flds	-8(%ebp)
	faddp	%st(0),%st(1)
	fstps	-8(%ebp)
	flds	-8(%ebp)
	fstps	__bb_TSegment_gHorizonYOffset
	movl	$_360,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TSegment_gFirstSegment,%ebx
	cmp	$_bbNullObject,%ebx
	jne	_362
	call	_brl_blitz_NullObjectError
_362:
	movl	48(%ebx),%ebx
	incl	4(%ebx)
	movl	__bb_TSegment_gFirstSegment,%eax
	decl	4(%eax)
	jnz	_366
	movl	%eax,(%esp)
	call	_bbGCFree
_366:
	movl	%ebx,__bb_TSegment_gFirstSegment
	movl	$_367,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%eax
	cmp	$39,%eax
	sete	%al
	movzbl	%al,%eax
	mov	%eax,%ebx
	jmp	_86
_352:
_346:
	movl	$_368,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$0,%ebx
	jmp	_86
_86:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TSegment_checkNext:
	push	%ebp
	mov	%esp,%ebp
	sub	$16,%esp
	push	%ebx
	push	%esi
	push	%edi
	sub	$28,%esp
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_420,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_371,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TSegment_gLastSegment,%ebx
	cmp	$_bbNullObject,%ebx
	jne	_373
	call	_brl_blitz_NullObjectError
_373:
	flds	36(%ebx)
	fldz
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	seta	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_374
	movl	$_375,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TSegment_gLastSegment,%ebx
	cmp	$_bbNullObject,%ebx
	jne	_377
	call	_brl_blitz_NullObjectError
_377:
	cmpl	$0,24(%ebx)
	je	_378
	movl	$_379,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TSegment_gLastSegment,%ebx
	cmp	$_bbNullObject,%ebx
	jne	_381
	call	_brl_blitz_NullObjectError
_381:
	cmpl	$32,40(%ebx)
	jne	_382
	movl	$_383,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TSegment_gLastSegment,%ebx
	cmp	$_bbNullObject,%ebx
	jne	_385
	call	_brl_blitz_NullObjectError
_385:
	movl	$15,8(%esp)
	fldz
	fstps	4(%esp)
	flds	__bb_TSegment_gMaxZ
	fsubs	36(%ebx)
	fstps	(%esp)
	calll	*_bb_TProp+156
_382:
_378:
	movl	$_386,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TSegment_gLastSegment,%ebx
	cmp	$_bbNullObject,%ebx
	jne	_388
	call	_brl_blitz_NullObjectError
_388:
	movl	%ebx,-16(%ebp)
	movl	__bb_TSegment_gSegmentIndex,%edx
	movl	__bb_TSegment_gSegmentData,%eax
	imull	24(%eax),%edx
	movl	%edx,-12(%ebp)
	movl	__bb_TSegment_gSegmentData,%eax
	movl	20(%eax),%eax
	cmpl	%eax,-12(%ebp)
	jb	_391
	call	_brl_blitz_ArrayBoundsError
_391:
	movl	$0,-8(%ebp)
	movl	__bb_TSegment_gSegmentData,%eax
	movl	24(%eax),%eax
	cmpl	%eax,-8(%ebp)
	jb	_393
	call	_brl_blitz_ArrayBoundsError
_393:
	movl	__bb_TSegment_gSegmentIndex,%edx
	movl	__bb_TSegment_gSegmentData,%eax
	imull	24(%eax),%edx
	movl	%edx,-4(%ebp)
	movl	__bb_TSegment_gSegmentData,%eax
	movl	20(%eax),%eax
	cmpl	%eax,-4(%ebp)
	jb	_395
	call	_brl_blitz_ArrayBoundsError
_395:
	mov	$1,%edi
	movl	__bb_TSegment_gSegmentData,%eax
	cmpl	24(%eax),%edi
	jb	_397
	call	_brl_blitz_ArrayBoundsError
_397:
	movl	__bb_TSegment_gSegmentIndex,%eax
	movl	__bb_TSegment_gSegmentData,%edx
	imull	24(%edx),%eax
	mov	%eax,%esi
	movl	__bb_TSegment_gSegmentData,%eax
	cmpl	20(%eax),%esi
	jb	_399
	call	_brl_blitz_ArrayBoundsError
_399:
	mov	$2,%ebx
	movl	__bb_TSegment_gSegmentData,%eax
	cmpl	24(%eax),%ebx
	jb	_401
	call	_brl_blitz_ArrayBoundsError
_401:
	movl	__bb_TSegment_gSegmentIndex,%eax
	movl	%eax,16(%esp)
	movl	__bb_TSegment_gSegmentData,%eax
	mov	%esi,%edx
	add	%ebx,%edx
	flds	28(%eax,%edx,4)
	fstps	12(%esp)
	movl	__bb_TSegment_gSegmentData,%edx
	movl	-4(%ebp),%eax
	add	%edi,%eax
	flds	28(%edx,%eax,4)
	fstps	8(%esp)
	movl	__bb_TSegment_gSegmentData,%edx
	movl	-12(%ebp),%eax
	addl	-8(%ebp),%eax
	flds	28(%edx,%eax,4)
	fstps	4(%esp)
	flds	__bb_TSegment_gMaxZ
	fstps	(%esp)
	calll	*_bb_TSegment+48
	mov	%eax,%ebx
	incl	4(%ebx)
	movl	-16(%ebp),%eax
	movl	48(%eax),%eax
	decl	4(%eax)
	jnz	_405
	movl	%eax,(%esp)
	call	_bbGCFree
_405:
	movl	-16(%ebp),%eax
	movl	%ebx,48(%eax)
	movl	$_406,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TSegment_gLastSegment,%ebx
	cmp	$_bbNullObject,%ebx
	jne	_408
	call	_brl_blitz_NullObjectError
_408:
	movl	48(%ebx),%ebx
	incl	4(%ebx)
	movl	__bb_TSegment_gLastSegment,%eax
	decl	4(%eax)
	jnz	_412
	movl	%eax,(%esp)
	call	_bbGCFree
_412:
	movl	%ebx,__bb_TSegment_gLastSegment
	movl	$_413,(%esp)
	calll	*_bbOnDebugEnterStm
	addl	$1,__bb_TSegment_gSegmentIndex
	movl	$_414,(%esp)
	calll	*_bbOnDebugEnterStm
	cmpl	$1,__bb_TSegment_gSegmentIndex
	jne	_415
	movl	$_416,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$1,8(%esp)
	fldz
	fstps	4(%esp)
	flds	__bb_TSegment_gMaxZ
	fstps	(%esp)
	calll	*_bb_TProp+156
_415:
	movl	$_417,(%esp)
	calll	*_bbOnDebugEnterStm
	cmpl	$40,__bb_TSegment_gSegmentIndex
	jl	_418
	movl	$_419,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,__bb_TSegment_gSegmentIndex
_418:
_374:
	mov	$0,%ebx
	jmp	_88
_88:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$28,%esp
	pop	%edi
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TSegment_getHorizonYOffset:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	push	%esi
	sub	$8,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_426,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_421,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%esi
	cmp	$_bbNullObject,%esi
	jne	_423
	call	_brl_blitz_NullObjectError
_423:
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_425
	call	_brl_blitz_NullObjectError
_425:
	flds	32(%esi)
	fmuls	20(%ebx)
	fmuls	_639
	fstps	-8(%ebp)
	jmp	_91
_91:
	calll	*_bbOnDebugLeaveScope
	flds	-8(%ebp)
	add	$8,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TSegment_update:
	push	%ebp
	mov	%esp,%ebp
	sub	$16,%esp
	push	%ebx
	sub	$20,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	flds	12(%ebp)
	fstps	-8(%ebp)
	fldz
	fstps	-12(%ebp)
	movl	%ebp,4(%esp)
	movl	$_496,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_427,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_429
	call	_brl_blitz_NullObjectError
_429:
	cmpl	$0,24(%ebx)
	je	_430
	movl	$_431,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_433
	call	_brl_blitz_NullObjectError
_433:
	flds	36(%ebx)
	fldz
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setbe	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_434
	movl	$_435,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_437
	call	_brl_blitz_NullObjectError
_437:
	movl	28(%ebx),%eax
	movl	%eax,-16(%ebp)
	fildl	-16(%ebp)
	fsubs	-8(%ebp)
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,28(%ebx)
	movl	$_439,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_441
	call	_brl_blitz_NullObjectError
_441:
	cmpl	$0,28(%ebx)
	jg	_442
	movl	$_443,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_445
	call	_brl_blitz_NullObjectError
_445:
	movl	$50,28(%ebx)
	movl	$_447,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$14,8(%esp)
	fldz
	fstps	4(%esp)
	flds	__bb_TSegment_gMaxZ
	fstps	(%esp)
	calll	*_bb_TProp+156
_442:
_434:
_430:
	movl	$_448,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_450
	call	_brl_blitz_NullObjectError
_450:
	flds	8(%ebx)
	fldz
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setbe	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_451
	movl	$_452,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_454
	call	_brl_blitz_NullObjectError
_454:
	flds	8(%ebx)
	fsubs	-8(%ebp)
	fstps	8(%ebx)
	movl	$_456,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_458
	call	_brl_blitz_NullObjectError
_458:
	flds	8(%ebx)
	fldz
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setae	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_459
	movl	$_460,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_462
	call	_brl_blitz_NullObjectError
_462:
	fldz
	fstps	8(%ebx)
_459:
	jmp	_464
_451:
	movl	$_465,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_467
	call	_brl_blitz_NullObjectError
_467:
	flds	32(%ebx)
	fadds	-8(%ebp)
	fstps	32(%ebx)
_464:
	movl	$_469,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_471
	call	_brl_blitz_NullObjectError
_471:
	flds	36(%ebx)
	fsubs	-8(%ebp)
	fstps	36(%ebx)
	movl	$_473,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_475
	call	_brl_blitz_NullObjectError
_475:
	flds	36(%ebx)
	flds	_646
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setae	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_476
	movl	$_477,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_479
	call	_brl_blitz_NullObjectError
_479:
	cmpl	$0,44(%ebx)
	jne	_480
	movl	$_481,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_483
	call	_brl_blitz_NullObjectError
_483:
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*92(%eax)
	fstps	-12(%ebp)
	movl	$_485,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-12(%ebp)
	flds	_647
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setbe	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_486
	movl	$_487,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$2,8(%esp)
	flds	_648
	fstps	4(%esp)
	flds	__bb_TSegment_gMaxZ
	fstps	(%esp)
	calll	*_bb_TProp+156
	jmp	_488
_486:
	movl	$_489,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-12(%ebp)
	flds	_649
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setae	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_490
	movl	$_491,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$2,8(%esp)
	flds	_650
	fstps	4(%esp)
	flds	__bb_TSegment_gMaxZ
	fstps	(%esp)
	calll	*_bb_TProp+156
_490:
_488:
	movl	$_492,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_494
	call	_brl_blitz_NullObjectError
_494:
	movl	$1,44(%ebx)
_480:
_476:
	mov	$0,%ebx
	jmp	_95
_95:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TSegment_getNextSegmentDXFraction:
	push	%ebp
	mov	%esp,%ebp
	sub	$12,%esp
	push	%ebx
	push	%esi
	sub	$20,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	$0,-8(%ebp)
	movl	%ebp,4(%esp)
	movl	$_510,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_498,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_500
	call	_brl_blitz_NullObjectError
_500:
	movl	40(%ebx),%eax
	add	$1,%eax
	movl	%eax,-8(%ebp)
	movl	$_502,(%esp)
	calll	*_bbOnDebugEnterStm
	cmpl	$40,-8(%ebp)
	jl	_503
	movl	$_504,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,-8(%ebp)
_503:
	movl	$_505,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	movl	__bb_TSegment_gSegmentData,%eax
	imull	24(%eax),%ebx
	movl	__bb_TSegment_gSegmentData,%eax
	cmpl	20(%eax),%ebx
	jb	_507
	call	_brl_blitz_ArrayBoundsError
_507:
	mov	$0,%esi
	movl	__bb_TSegment_gSegmentData,%eax
	cmpl	24(%eax),%esi
	jb	_509
	call	_brl_blitz_ArrayBoundsError
_509:
	movl	__bb_TSegment_gSegmentData,%eax
	add	%esi,%ebx
	flds	28(%eax,%ebx,4)
	fstps	-12(%ebp)
	jmp	_98
_98:
	calll	*_bbOnDebugLeaveScope
	flds	-12(%ebp)
	add	$20,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TSegment_getNextSegmentDYFraction:
	push	%ebp
	mov	%esp,%ebp
	sub	$12,%esp
	push	%ebx
	push	%esi
	sub	$20,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	$0,-8(%ebp)
	movl	%ebp,4(%esp)
	movl	$_524,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_512,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_514
	call	_brl_blitz_NullObjectError
_514:
	movl	40(%ebx),%eax
	add	$1,%eax
	movl	%eax,-8(%ebp)
	movl	$_516,(%esp)
	calll	*_bbOnDebugEnterStm
	cmpl	$40,-8(%ebp)
	jl	_517
	movl	$_518,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,-8(%ebp)
_517:
	movl	$_519,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	movl	__bb_TSegment_gSegmentData,%eax
	imull	24(%eax),%ebx
	movl	__bb_TSegment_gSegmentData,%eax
	cmpl	20(%eax),%ebx
	jb	_521
	call	_brl_blitz_ArrayBoundsError
_521:
	mov	$1,%esi
	movl	__bb_TSegment_gSegmentData,%eax
	cmpl	24(%eax),%esi
	jb	_523
	call	_brl_blitz_ArrayBoundsError
_523:
	movl	__bb_TSegment_gSegmentData,%eax
	add	%esi,%ebx
	flds	28(%eax,%ebx,4)
	fstps	-12(%ebp)
	jmp	_101
_101:
	calll	*_bbOnDebugLeaveScope
	flds	-12(%ebp)
	add	$20,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
	.data	
	.align	4
_117:
	.long	0
_116:
	.asciz	"segment"
	.align	4
_115:
	.long	1
	.long	_116
	.long	0
	.align	4
_114:
_14:
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	100
	.long	_bbFloatTypeTag
	.long	0xbe19999a
	.long	_bbFloatTypeTag
	.long	0xbf19999a
	.long	_bbIntTypeTag
	.long	70
	.long	_bbFloatTypeTag
	.long	0xbe800000
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	100
	.long	_bbFloatTypeTag
	.long	0x3f19999a
	.long	_bbFloatTypeTag
	.long	0x3f19999a
	.long	_bbIntTypeTag
	.long	70
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	20
	.long	_bbFloatTypeTag
	.long	0xbf000000
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	40
	.long	_bbIntTypeTag
	.long	1
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	35
	.long	_bbIntTypeTag
	.long	-1
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	35
	.long	_bbFloatTypeTag
	.long	0xbe800000
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	60
	.long	_bbFloatTypeTag
	.long	0x3f000000
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	30
	.long	_bbFloatTypeTag
	.long	0xbe800000
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	60
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	100
	.long	_bbIntTypeTag
	.long	-1
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	30
	.long	_bbIntTypeTag
	.long	1
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	30
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	10
	.long	_bbFloatTypeTag
	.long	0x3e800000
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	40
	.long	_bbIntTypeTag
	.long	1
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	340
	.long	_bbFloatTypeTag
	.long	0x3e800000
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	40
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	100
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	100
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	20
	.long	_bbFloatTypeTag
	.long	0xbe800000
	.long	_bbFloatTypeTag
	.long	0xbdcccccd
	.long	_bbIntTypeTag
	.long	120
	.long	_bbFloatTypeTag
	.long	0x3e800000
	.long	_bbFloatTypeTag
	.long	0x3dcccccd
	.long	_bbIntTypeTag
	.long	120
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	100
	.long	_bbFloatTypeTag
	.long	0xbf000000
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	20
	.long	_bbFloatTypeTag
	.long	0x3d4ccccd
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	100
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	100
	.long	_bbFloatTypeTag
	.long	0x3e800000
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	40
	.long	_bbIntTypeTag
	.long	1
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	340
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	50
	.long	_bbFloatTypeTag
	.long	0xbf333333
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	300
	.long	_bbFloatTypeTag
	.long	0xbe800000
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	50
	.long	_bbFloatTypeTag
	.long	0x3e800000
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	60
	.long	_bbFloatTypeTag
	.long	0x3d4ccccd
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	90
	.long	_bbFloatTypeTag
	.long	0xbd4ccccd
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	70
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbFloatTypeTag
	.long	0x3f000000
	.long	_bbIntTypeTag
	.long	100
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	200
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbFloatTypeTag
	.long	0xbf000000
	.long	_bbIntTypeTag
	.long	100
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	60
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbFloatTypeTag
	.long	0x0
	.long	_bbIntTypeTag
	.long	60
	.long	0
	.align	4
_113:
	.long	0
_104:
	.asciz	"/Users/macbook/Downloads/grandprix_win/Imports/segment.bmx"
	.align	4
_103:
	.long	_104
	.long	11
	.long	2
	.align	4
__bb_TSegment_gMinZ:
	.long	0x0
	.align	4
_105:
	.long	_104
	.long	12
	.long	2
	.align	4
__bb_TSegment_gMaxZ:
	.long	0x0
	.align	4
_106:
	.long	_104
	.long	13
	.long	2
	.align	4
__bb_TSegment_gSegmentData:
	.long	_bbEmptyArray
	.align	4
_107:
	.long	_104
	.long	14
	.long	2
	.align	4
__bb_TSegment_gSegmentIndex:
	.long	0
	.align	4
_108:
	.long	_104
	.long	15
	.long	2
	.align	4
__bb_TSegment_gFirstSegment:
	.long	_bbNullObject
	.align	4
_109:
	.long	_104
	.long	16
	.long	2
	.align	4
__bb_TSegment_gLastSegment:
	.long	_bbNullObject
	.align	4
_110:
	.long	_104
	.long	17
	.long	2
	.align	4
__bb_TSegment_gSignSide:
	.long	1
	.align	4
_111:
	.long	_104
	.long	18
	.long	2
	.align	4
__bb_TSegment_gHorizonYOffset:
	.long	0x0
_16:
	.asciz	"TSegment"
_17:
	.asciz	"TUNNEL_NEXT_MID_PROP_COUNT"
_18:
	.asciz	"i"
	.align	4
_19:
	.long	_bbStringClass
	.long	2147483646
	.long	2
	.short	53,48
_20:
	.asciz	"SEGMENT_COUNT"
	.align	4
_21:
	.long	_bbStringClass
	.long	2147483646
	.long	2
	.short	52,48
_22:
	.asciz	"fZ"
_23:
	.asciz	"f"
_24:
	.asciz	"fDXFraction"
_25:
	.asciz	"fDX"
_26:
	.asciz	"fDY"
_27:
	.asciz	"fTunnel"
_28:
	.asciz	"fTunnelPropCounter"
_29:
	.asciz	"fDistanceInSegment"
_30:
	.asciz	"fLength"
_31:
	.asciz	"fIndex"
_32:
	.asciz	"fCornerSignCreated"
_33:
	.asciz	"fNext"
_34:
	.asciz	":TSegment"
_35:
	.asciz	"New"
_36:
	.asciz	"()i"
_37:
	.asciz	"Delete"
_38:
	.asciz	"Create"
_39:
	.asciz	"(f,f,f,f,i):TSegment"
_40:
	.asciz	"init"
_41:
	.asciz	"(f,f)i"
_42:
	.asciz	"removeAll"
_43:
	.asciz	"readSegmentData"
_44:
	.asciz	"createDummySegment"
_45:
	.asciz	"createStartSegment"
_46:
	.asciz	"(f)i"
_47:
	.asciz	"updateAll"
_48:
	.asciz	"checkLap"
_49:
	.asciz	"checkNext"
_50:
	.asciz	"getHorizonYOffset"
_51:
	.asciz	"()f"
_52:
	.asciz	"update"
_53:
	.asciz	"getNextSegmentDXFraction"
_54:
	.asciz	"getNextSegmentDYFraction"
	.align	4
_15:
	.long	2
	.long	_16
	.long	1
	.long	_17
	.long	_18
	.long	_19
	.long	1
	.long	_20
	.long	_18
	.long	_21
	.long	3
	.long	_22
	.long	_23
	.long	8
	.long	3
	.long	_24
	.long	_23
	.long	12
	.long	3
	.long	_25
	.long	_23
	.long	16
	.long	3
	.long	_26
	.long	_23
	.long	20
	.long	3
	.long	_27
	.long	_18
	.long	24
	.long	3
	.long	_28
	.long	_18
	.long	28
	.long	3
	.long	_29
	.long	_23
	.long	32
	.long	3
	.long	_30
	.long	_23
	.long	36
	.long	3
	.long	_31
	.long	_18
	.long	40
	.long	3
	.long	_32
	.long	_18
	.long	44
	.long	3
	.long	_33
	.long	_34
	.long	48
	.long	6
	.long	_35
	.long	_36
	.long	16
	.long	6
	.long	_37
	.long	_36
	.long	20
	.long	7
	.long	_38
	.long	_39
	.long	48
	.long	7
	.long	_40
	.long	_41
	.long	52
	.long	7
	.long	_42
	.long	_36
	.long	56
	.long	7
	.long	_43
	.long	_36
	.long	60
	.long	7
	.long	_44
	.long	_36
	.long	64
	.long	7
	.long	_45
	.long	_46
	.long	68
	.long	7
	.long	_47
	.long	_46
	.long	72
	.long	7
	.long	_48
	.long	_36
	.long	76
	.long	7
	.long	_49
	.long	_36
	.long	80
	.long	6
	.long	_50
	.long	_51
	.long	84
	.long	6
	.long	_52
	.long	_46
	.long	88
	.long	6
	.long	_53
	.long	_51
	.long	92
	.long	6
	.long	_54
	.long	_51
	.long	96
	.long	0
	.align	4
_bb_TSegment:
	.long	_bbObjectClass
	.long	_bbObjectFree
	.long	_15
	.long	52
	.long	__bb_TSegment_New
	.long	__bb_TSegment_Delete
	.long	_bbObjectToString
	.long	_bbObjectCompare
	.long	_bbObjectSendMessage
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	__bb_TSegment_Create
	.long	__bb_TSegment_init
	.long	__bb_TSegment_removeAll
	.long	__bb_TSegment_readSegmentData
	.long	__bb_TSegment_createDummySegment
	.long	__bb_TSegment_createStartSegment
	.long	__bb_TSegment_updateAll
	.long	__bb_TSegment_checkLap
	.long	__bb_TSegment_checkNext
	.long	__bb_TSegment_getHorizonYOffset
	.long	__bb_TSegment_update
	.long	__bb_TSegment_getNextSegmentDXFraction
	.long	__bb_TSegment_getNextSegmentDYFraction
	.align	4
_112:
	.long	_104
	.long	232
	.long	1
_121:
	.asciz	"Self"
	.align	4
_120:
	.long	1
	.long	_35
	.long	2
	.long	_121
	.long	_34
	.long	-4
	.long	0
_223:
	.asciz	"pZ"
_224:
	.asciz	"pDXFraction"
_225:
	.asciz	"pDYFraction"
_226:
	.asciz	"pLength"
_227:
	.asciz	"pIndex"
_228:
	.asciz	"sign"
	.align	4
_222:
	.long	1
	.long	_38
	.long	2
	.long	_223
	.long	_23
	.long	-4
	.long	2
	.long	_224
	.long	_23
	.long	-8
	.long	2
	.long	_225
	.long	_23
	.long	-12
	.long	2
	.long	_226
	.long	_23
	.long	-16
	.long	2
	.long	_227
	.long	_18
	.long	-20
	.long	2
	.long	_116
	.long	_34
	.long	-24
	.long	2
	.long	_228
	.long	_18
	.long	-28
	.long	0
	.align	4
_125:
	.long	_104
	.long	34
	.long	3
	.align	4
_127:
	.long	_104
	.long	35
	.long	3
	.align	4
_131:
	.long	_104
	.long	36
	.long	3
	.align	4
_135:
	.long	_104
	.long	37
	.long	3
	.align	4
_532:
	.long	0x3b03126f
	.align	4
_139:
	.long	_104
	.long	38
	.long	3
	.align	4
_533:
	.long	0x3a9d4952
	.align	4
_143:
	.long	_104
	.long	40
	.long	3
	.align	4
_147:
	.long	_104
	.long	41
	.long	4
	.align	4
_151:
	.long	_104
	.long	42
	.long	4
	.align	4
_155:
	.long	_104
	.long	44
	.long	4
	.align	4
_157:
	.long	_104
	.long	45
	.long	5
	.align	4
_159:
	.long	_104
	.long	48
	.long	4
	.align	4
_163:
	.long	_104
	.long	51
	.long	3
	.align	4
_167:
	.long	_104
	.long	52
	.long	4
	.align	4
_534:
	.long	0xbe99999a
	.align	4
_169:
	.long	_104
	.long	53
	.long	5
	.align	4
_535:
	.long	0x3f99999a
	.align	4
_170:
	.long	_104
	.long	54
	.long	5
	.align	4
_536:
	.long	0x3fcccccd
	.align	4
_171:
	.long	_104
	.long	55
	.long	5
	.align	4
_537:
	.long	0x40000000
	.align	4
_173:
	.long	_104
	.long	56
	.long	9
	.align	4
_175:
	.long	_104
	.long	57
	.long	5
	.align	4
_177:
	.long	_104
	.long	58
	.long	6
	.align	4
_538:
	.long	0x40000000
	.align	4
_179:
	.long	_104
	.long	60
	.long	6
	.align	4
_539:
	.long	0x40000000
	.align	4
_180:
	.long	_104
	.long	64
	.long	4
	.align	4
_182:
	.long	_104
	.long	65
	.long	5
	.align	4
_184:
	.long	_104
	.long	66
	.long	6
	.align	4
_185:
	.long	_104
	.long	69
	.long	5
	.align	4
_187:
	.long	_104
	.long	70
	.long	5
	.align	4
_189:
	.long	_104
	.long	71
	.long	6
	.align	4
_190:
	.long	_104
	.long	74
	.long	5
	.align	4
_540:
	.long	0x42c80000
	.align	4
_192:
	.long	_104
	.long	75
	.long	6
	.align	4
_541:
	.long	0x3f4ccccd
	.align	4
_542:
	.long	0x3f000000
	.align	4
_193:
	.long	_104
	.long	76
	.long	6
	.align	4
_195:
	.long	_104
	.long	78
	.long	6
	.align	4
_543:
	.long	0x3f4ccccd
	.align	4
_544:
	.long	0x3ea8f5c3
	.align	4
_196:
	.long	_104
	.long	79
	.long	6
	.align	4
_545:
	.long	0x3f4ccccd
	.align	4
_546:
	.long	0x3f28f5c3
	.align	4
_197:
	.long	_104
	.long	83
	.long	3
	.align	4
_201:
	.long	_104
	.long	84
	.long	3
	.align	4
_205:
	.long	_104
	.long	85
	.long	3
	.align	4
_209:
	.long	_104
	.long	86
	.long	3
	.align	4
_213:
	.long	_104
	.long	87
	.long	3
	.align	4
_221:
	.long	_104
	.long	88
	.long	3
_235:
	.asciz	"pGridStartZ"
_236:
	.asciz	"pGridStepZ"
	.align	4
_234:
	.long	1
	.long	_40
	.long	2
	.long	_235
	.long	_23
	.long	-4
	.long	2
	.long	_236
	.long	_23
	.long	-8
	.long	0
	.align	4
_229:
	.long	_104
	.long	92
	.long	3
	.align	4
_230:
	.long	_104
	.long	93
	.long	3
	.align	4
_231:
	.long	_104
	.long	94
	.long	3
	.align	4
_232:
	.long	_104
	.long	95
	.long	3
	.align	4
_233:
	.long	_104
	.long	96
	.long	3
	.align	4
_247:
	.long	1
	.long	_42
	.long	0
	.align	4
_237:
	.long	_104
	.long	100
	.long	3
	.align	4
_242:
	.long	_104
	.long	101
	.long	3
	.align	4
_289:
	.long	1
	.long	_43
	.long	2
	.long	_18
	.long	_18
	.long	-4
	.long	0
	.align	4
_248:
	.long	_104
	.long	105
	.long	3
	.align	4
_249:
	.long	_104
	.long	106
	.long	3
_250:
	.asciz	"f"
	.align	4
_255:
	.long	_104
	.long	107
	.long	3
	.align	4
_258:
	.long	_104
	.long	109
	.long	4
	.align	4
_268:
	.long	_104
	.long	112
	.long	4
	.align	4
_278:
	.long	_104
	.long	115
	.long	4
	.align	4
_288:
	.long	_104
	.long	117
	.long	3
	.align	4
_300:
	.long	1
	.long	_44
	.long	0
	.align	4
_290:
	.long	_104
	.long	121
	.long	3
	.align	4
_295:
	.long	_104
	.long	122
	.long	3
_331:
	.asciz	"pStartBannerZ"
	.align	4
_330:
	.long	1
	.long	_45
	.long	2
	.long	_331
	.long	_23
	.long	-4
	.long	0
	.align	4
_301:
	.long	_104
	.long	126
	.long	3
	.align	4
_594:
	.long	0x40000000
	.align	4
_321:
	.long	_104
	.long	127
	.long	3
	.align	4
_328:
	.long	_104
	.long	128
	.long	3
	.align	4
_329:
	.long	_104
	.long	129
	.long	3
_342:
	.asciz	"pSpeed"
	.align	4
_341:
	.long	1
	.long	_47
	.long	2
	.long	_342
	.long	_23
	.long	-4
	.long	2
	.long	_116
	.long	_34
	.long	-8
	.long	0
	.align	4
_332:
	.long	_104
	.long	133
	.long	3
	.align	4
_334:
	.long	_104
	.long	134
	.long	3
	.align	4
_335:
	.long	_104
	.long	135
	.long	4
	.align	4
_338:
	.long	_104
	.long	136
	.long	4
_370:
	.asciz	"index"
	.align	4
_369:
	.long	1
	.long	_48
	.long	2
	.long	_370
	.long	_18
	.long	-4
	.long	0
	.align	4
_343:
	.long	_104
	.long	141
	.long	3
	.align	4
_347:
	.long	_104
	.long	142
	.long	4
	.align	4
_353:
	.long	_104
	.long	144
	.long	5
	.align	4
_357:
	.long	_104
	.long	145
	.long	5
	.align	4
_360:
	.long	_104
	.long	146
	.long	5
	.align	4
_367:
	.long	_104
	.long	148
	.long	5
	.align	4
_368:
	.long	_104
	.long	151
	.long	3
	.align	4
_420:
	.long	1
	.long	_49
	.long	0
	.align	4
_371:
	.long	_104
	.long	155
	.long	3
	.align	4
_375:
	.long	_104
	.long	156
	.long	4
	.align	4
_379:
	.long	_104
	.long	157
	.long	5
	.align	4
_383:
	.long	_104
	.long	158
	.long	6
	.align	4
_386:
	.long	_104
	.long	162
	.long	4
	.align	4
_406:
	.long	_104
	.long	163
	.long	4
	.align	4
_413:
	.long	_104
	.long	164
	.long	4
	.align	4
_414:
	.long	_104
	.long	165
	.long	4
	.align	4
_416:
	.long	_104
	.long	166
	.long	5
	.align	4
_417:
	.long	_104
	.long	168
	.long	4
	.align	4
_419:
	.long	_104
	.long	169
	.long	5
	.align	4
_426:
	.long	1
	.long	_50
	.long	2
	.long	_121
	.long	_34
	.long	-4
	.long	0
	.align	4
_421:
	.long	_104
	.long	175
	.long	3
	.align	4
_639:
	.long	0x459c4000
_497:
	.asciz	"nextDXFraction"
	.align	4
_496:
	.long	1
	.long	_52
	.long	2
	.long	_121
	.long	_34
	.long	-4
	.long	2
	.long	_342
	.long	_23
	.long	-8
	.long	2
	.long	_497
	.long	_23
	.long	-12
	.long	0
	.align	4
_427:
	.long	_104
	.long	179
	.long	3
	.align	4
_431:
	.long	_104
	.long	180
	.long	4
	.align	4
_435:
	.long	_104
	.long	181
	.long	5
	.align	4
_439:
	.long	_104
	.long	182
	.long	5
	.align	4
_443:
	.long	_104
	.long	183
	.long	6
	.align	4
_447:
	.long	_104
	.long	184
	.long	6
	.align	4
_448:
	.long	_104
	.long	189
	.long	3
	.align	4
_452:
	.long	_104
	.long	190
	.long	4
	.align	4
_456:
	.long	_104
	.long	191
	.long	4
	.align	4
_460:
	.long	_104
	.long	192
	.long	5
	.align	4
_465:
	.long	_104
	.long	195
	.long	4
	.align	4
_469:
	.long	_104
	.long	198
	.long	3
	.align	4
_473:
	.long	_104
	.long	200
	.long	3
	.align	4
_646:
	.long	0x41200000
	.align	4
_477:
	.long	_104
	.long	201
	.long	4
	.align	4
_481:
	.long	_104
	.long	202
	.long	5
	.align	4
_485:
	.long	_104
	.long	203
	.long	5
	.align	4
_647:
	.long	0x3f000000
	.align	4
_487:
	.long	_104
	.long	204
	.long	6
	.align	4
_648:
	.long	0xc40c0000
	.align	4
_489:
	.long	_104
	.long	205
	.long	10
	.align	4
_649:
	.long	0xbf000000
	.align	4
_491:
	.long	_104
	.long	206
	.long	6
	.align	4
_650:
	.long	0x440c0000
	.align	4
_492:
	.long	_104
	.long	208
	.long	5
_511:
	.asciz	"nextIndex"
	.align	4
_510:
	.long	1
	.long	_53
	.long	2
	.long	_121
	.long	_34
	.long	-4
	.long	2
	.long	_511
	.long	_18
	.long	-8
	.long	0
	.align	4
_498:
	.long	_104
	.long	214
	.long	3
	.align	4
_502:
	.long	_104
	.long	215
	.long	3
	.align	4
_504:
	.long	_104
	.long	216
	.long	4
	.align	4
_505:
	.long	_104
	.long	218
	.long	3
	.align	4
_524:
	.long	1
	.long	_54
	.long	2
	.long	_121
	.long	_34
	.long	-4
	.long	2
	.long	_511
	.long	_18
	.long	-8
	.long	0
	.align	4
_512:
	.long	_104
	.long	222
	.long	3
	.align	4
_516:
	.long	_104
	.long	223
	.long	3
	.align	4
_518:
	.long	_104
	.long	224
	.long	4
	.align	4
_519:
	.long	_104
	.long	226
	.long	3
